Package com.google.protobuf

# Class DescriptorProtos.ExtensionRangeOptions.Declaration

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessage
com.google.protobuf.DescriptorProtos.ExtensionRangeOptions.Declaration

All Implemented Interfaces:
  `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`, `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Serializable`

Enclosing class:
  `DescriptorProtos.ExtensionRangeOptions`

public static final class DescriptorProtos.ExtensionRangeOptions.Declaration extends GeneratedMessage implements DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder
Protobuf type `google.protobuf.ExtensionRangeOptions.Declaration`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
Protobuf type `google.protobuf.ExtensionRangeOptions.Declaration`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`GeneratedMessage.ExtendableBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessage.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessage.ExtendableMessage<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.ExtendableMessageOrBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.FieldAccessorTable, GeneratedMessage.GeneratedExtension<ContainingT extends Message,T>, GeneratedMessage.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessage

`AbstractMessage.BuilderParent`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FULL_NAME_FIELD_NUMBER`
`static final int`
`NUMBER_FIELD_NUMBER`
`static final int`
`REPEATED_FIELD_NUMBER`
`static final int`
`RESERVED_FIELD_NUMBER`
`static final int`
`TYPE_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessage

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`static DescriptorProtos.ExtensionRangeOptions.Declaration`
`getDefaultInstance()`
`DescriptorProtos.ExtensionRangeOptions.Declaration`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`String`
`getFullName()`
`optional string full_name = 2 [json_name = "fullName"];`
`ByteString`
`getFullNameBytes()`
`optional string full_name = 2 [json_name = "fullName"];`
`int`
`getNumber()`
`optional int32 number = 1 [json_name = "number"];`
`Parser<DescriptorProtos.ExtensionRangeOptions.Declaration>`
`getParserForType()`
TODO: Remove this unnecessary intermediate implementation of this method.
`boolean`
`getRepeated()`
`optional bool repeated = 6 [json_name = "repeated"];`
`boolean`
`getReserved()`
`optional bool reserved = 5 [json_name = "reserved"];`
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`String`
`getType()`
`optional string type = 3 [json_name = "type"];`
`ByteString`
`getTypeBytes()`
`optional string type = 3 [json_name = "type"];`
`boolean`
`hasFullName()`
`optional string full_name = 2 [json_name = "fullName"];`
`int`
`hashCode()`
Returns the hash code value for this message.
`boolean`
`hasNumber()`
`optional int32 number = 1 [json_name = "number"];`
`boolean`
`hasRepeated()`
`optional bool repeated = 6 [json_name = "repeated"];`
`boolean`
`hasReserved()`
`optional bool reserved = 5 [json_name = "reserved"];`
`boolean`
`hasType()`
`optional string type = 3 [json_name = "type"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`newBuilder()`
`static DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`newBuilder(DescriptorProtos.ExtensionRangeOptions.Declaration prototype)`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`newBuilderForType(AbstractMessage.BuilderParent parent)`
Create a nested builder.
`static DescriptorProtos.ExtensionRangeOptions.Declaration`
`parseDelimitedFrom(InputStream input)`
`static DescriptorProtos.ExtensionRangeOptions.Declaration`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.ExtensionRangeOptions.Declaration`
`parseFrom(byte[] data)`
`static DescriptorProtos.ExtensionRangeOptions.Declaration`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.ExtensionRangeOptions.Declaration`
`parseFrom(ByteString data)`
`static DescriptorProtos.ExtensionRangeOptions.Declaration`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.ExtensionRangeOptions.Declaration`
`parseFrom(CodedInputStream input)`
`static DescriptorProtos.ExtensionRangeOptions.Declaration`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.ExtensionRangeOptions.Declaration`
`parseFrom(InputStream input)`
`static DescriptorProtos.ExtensionRangeOptions.Declaration`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.ExtensionRangeOptions.Declaration`
`parseFrom(ByteBuffer data)`
`static DescriptorProtos.ExtensionRangeOptions.Declaration`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<DescriptorProtos.ExtensionRangeOptions.Declaration>`
`parser()`
`DescriptorProtos.ExtensionRangeOptions.Declaration.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessage

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashFields, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### NUMBER_FIELD_NUMBER

public static final int NUMBER_FIELD_NUMBER

See Also:
  - Constant Field Values

### FULL_NAME_FIELD_NUMBER

public static final int FULL_NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### TYPE_FIELD_NUMBER

public static final int TYPE_FIELD_NUMBER

See Also:
  - Constant Field Values

### RESERVED_FIELD_NUMBER

public static final int RESERVED_FIELD_NUMBER

See Also:
  - Constant Field Values

### REPEATED_FIELD_NUMBER

public static final int REPEATED_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage`

### hasNumber

public boolean hasNumber()
`optional int32 number = 1 [json_name = "number"];`

Specified by:
  `hasNumber` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  Whether the number field is set.

### getNumber

public int getNumber()
`optional int32 number = 1 [json_name = "number"];`

Specified by:
  `getNumber` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  The number.

### hasFullName

public boolean hasFullName()
`optional string full_name = 2 [json_name = "fullName"];`

Specified by:
  `hasFullName` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  Whether the fullName field is set.

### getFullName

public String getFullName()
`optional string full_name = 2 [json_name = "fullName"];`

Specified by:
  `getFullName` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  The fullName.

### getFullNameBytes

public ByteString getFullNameBytes()
`optional string full_name = 2 [json_name = "fullName"];`

Specified by:
  `getFullNameBytes` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  The bytes for fullName.

### hasType

public boolean hasType()
`optional string type = 3 [json_name = "type"];`

Specified by:
  `hasType` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  Whether the type field is set.

### getType

public String getType()
`optional string type = 3 [json_name = "type"];`

Specified by:
  `getType` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  The type.

### getTypeBytes

public ByteString getTypeBytes()
`optional string type = 3 [json_name = "type"];`

Specified by:
  `getTypeBytes` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  The bytes for type.

### hasReserved

public boolean hasReserved()
`optional bool reserved = 5 [json_name = "reserved"];`

Specified by:
  `hasReserved` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  Whether the reserved field is set.

### getReserved

public boolean getReserved()
`optional bool reserved = 5 [json_name = "reserved"];`

Specified by:
  `getReserved` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  The reserved.

### hasRepeated

public boolean hasRepeated()
`optional bool repeated = 6 [json_name = "repeated"];`

Specified by:
  `hasRepeated` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  Whether the repeated field is set.

### getRepeated

public boolean getRepeated()
`optional bool repeated = 6 [json_name = "repeated"];`

Specified by:
  `getRepeated` in interface `DescriptorProtos.ExtensionRangeOptions.DeclarationOrBuilder`
Returns:
  The repeated.

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessage`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessage`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static DescriptorProtos.ExtensionRangeOptions.Declaration parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.ExtensionRangeOptions.Declaration parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.ExtensionRangeOptions.Declaration parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.ExtensionRangeOptions.Declaration parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.ExtensionRangeOptions.Declaration parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.ExtensionRangeOptions.Declaration parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static DescriptorProtos.ExtensionRangeOptions.Declaration parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.ExtensionRangeOptions.Declaration parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DescriptorProtos.ExtensionRangeOptions.Declaration parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DescriptorProtos.ExtensionRangeOptions.Declaration parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.ExtensionRangeOptions.Declaration parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DescriptorProtos.ExtensionRangeOptions.Declaration parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static DescriptorProtos.ExtensionRangeOptions.Declaration.Builder newBuilder()

### newBuilder

public static DescriptorProtos.ExtensionRangeOptions.Declaration.Builder newBuilder(DescriptorProtos.ExtensionRangeOptions.Declaration prototype)

### toBuilder

public DescriptorProtos.ExtensionRangeOptions.Declaration.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected DescriptorProtos.ExtensionRangeOptions.Declaration.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Description copied from class: `AbstractMessage`
Create a nested builder.

Overrides:
  `newBuilderForType` in class `AbstractMessage`

### getDefaultInstance

public static DescriptorProtos.ExtensionRangeOptions.Declaration getDefaultInstance()

### parser

public static Parser<DescriptorProtos.ExtensionRangeOptions.Declaration> parser()

### getParserForType

public Parser<DescriptorProtos.ExtensionRangeOptions.Declaration> getParserForType()
Description copied from class: `GeneratedMessage`
TODO: Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessage`

### getDefaultInstanceForType

public DescriptorProtos.ExtensionRangeOptions.Declaration getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`